package com.usky.pm;


import com.usky.pm.factory.RemotePmTaskFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "RemotePmTaskService", value = "service-pm" , fallbackFactory = RemotePmTaskFactory.class)
public interface RemotePmTaskService {

    @GetMapping("/dataOverviewJobData")
    void dataOverviewJobData();

    @GetMapping("/deviceStatus")
    void deviceStatus();

    @GetMapping("/deviceOffLineAlarm")
    void deviceOffLineAlarm();

    @GetMapping("/customInfoStatus")
    void customInfoStatus();

    @GetMapping("/addDeviceInfo")
    void addDeviceInfo(@RequestParam("productCode") String productCode, @RequestParam(value = "deviceUuid") String deviceUuid, @RequestParam(value = "deviceId") String deviceId, @RequestParam(value = "deviceName") String deviceName, @RequestParam(value = "installAddress") String installAddress, @RequestParam(value = "serviceStatus") Integer serviceStatus);

    @GetMapping("/deleteDeviceInfo")
    void deleteDeviceInfo(@RequestParam(value = "deviceUuid") String deviceUuid);
}
